package com.engine.salary.enums;



/**
 * @description: 薪资账套设置步骤状态
 * @author: xiajun
 * @modified By: xiajun
 * @date: Created in 11/9/21 3:09 PM
 * @version:v1.0
 */
public enum SalarySobStatusEnum implements BaseEnum<Integer> {

    START(0, "开始", 86123),
    BASIC_INFO(1, "基础信息", 86124),
    EMPLOYEE_SCOPE(2, "人员范围", 86125),
    SALARY_ITEM(3, "薪资项目", 84960),
    CHECK_RULE(4, "校验规则", 86126),
    END(99, "结束", 86127);

    private int value;

    private String defaultLabel;

    private int labelId;

    SalarySobStatusEnum(int value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }
}
